#standard equipment type config file
#    
#     Battery(sampled by NGMC Board)
#
#     Constraint to the Solution config file:
#               Relevant Sampler List: AC/DC Sampler
#               Relevant Equipment List:Battery Group 
#
#
#


#1. Equipment basic information
[EQUIPMENT_TYPE_INFO]
#Type ID			Group Type Flag		Type Name			Type Name Resource ID
3101				0			BMS			1

#2. Define signals of this standard equipment
#2.1 Define the Sampling Signals
[SAMPLING_SIGNAL_NUM]
10

[SAMPLING_SIGNAL_INFO]
#note:if you want to change the sig name, please change the name difined in the relevant resource file synchronously
#SID	Sig Name				Sig Name Resource ID	Sig Unit	Index of Sampler List	Sampler Channel ID	Sig Value Type		Storing Threshold	Storing Interval	Evaluation Expression	Value Range			Value Diaplay Attribute		Value Display Level	Value Display ID	Value Display Format	Disp Exp
1	Battery Voltage				7			V		1			1			F			NA			NA			NA			0.0/64.0			W/L				NA			1			.2			NA
2	Battery Current				8			A		1			2			F			NA			NA			NA			-100.0/100.0			W/L				NA			2			.1			NA
3	Battery Capacity			9			Ah		1			3			F			NA			NA			NA			0.0/200.0			W/L				NA			3			.1			NA
4	Capacity Percent(SOC)			10			%		1			4			F			NA			NA			NA			0.0/100.0			W/L				NA			4			.1			NA
6	Battery Center Temperature(AVE)		12			deg.C		1			5			F			NA			NA			NA			-40.0/120.0			W/L				NA			5			.1			NA
7	Ambient Temperature			13			deg.C		1			6			F			NA			NA			NA			-40.0/120.0			W/L				NA			6			.1			NA
99	Interrupt State				3			NA		1			7			E			NA			NA			NA			[ID5=OK]/[ID6=NoResponse]		NA			NA			99			NA			NA
100	Existence State				4			NA		1			8			E			NA			NA			NA			[ID5=Existent]/[ID6=Not Existent]	NA			NA			100			NA			NA
101	Single Over Voltage Alarm		31			NA		1			9			E			NA			NA			NA			[ID30=No]/[ID29=Yes]		NA				NA			101			NA			NA
102	Single Under Voltage Alarm		32			NA		1			10			E			NA			NA			NA			[ID30=No]/[ID29=Yes]		NA				NA			102			NA			NA
103	Whole Over Voltage Alarm		33			NA		1			11			E			NA			NA			NA			[ID30=No]/[ID29=Yes]		NA				NA			103			NA			NA
104	Whole Under Voltage Alarm		34			NA		1			12			E			NA			NA			NA			[ID30=No]/[ID29=Yes]		NA				NA			104			NA			NA
105	Charge Over Current Alarm		35			NA		1			13			E			NA			NA			NA			[ID30=No]/[ID29=Yes]		NA				NA			105			NA			NA
106	Discharge Over Current Alarm		36			NA		1			14			E			NA			NA			NA			[ID30=No]/[ID29=Yes]		NA				NA			106			NA			NA
107	High Battery Temperature Alarm		37			NA		1			15			E			NA			NA			NA			[ID30=No]/[ID29=Yes]		NA				NA			107			NA			NA
108	Low Battery Temperature Alarm		38			NA		1			16			E			NA			NA			NA			[ID30=No]/[ID29=Yes]		NA				NA			108			NA			NA
109	High Ambient Temperature Alarm		39			NA		1			17			E			NA			NA			NA			[ID30=No]/[ID29=Yes]		NA				NA			109			NA			NA
110	Low Ambient Temperature Alarm		40			NA		1			18			E			NA			NA			NA			[ID30=No]/[ID29=Yes]		NA				NA			110			NA			NA
111	High PCB Temperature Alarm		41			NA		1			19			E			NA			NA			NA			[ID30=No]/[ID29=Yes]		NA				NA			111			NA			NA
112	Low Battery Capacity Alarm		42			NA		1			20			E			NA			NA			NA			[ID30=No]/[ID29=Yes]		NA				NA			112			NA			NA
113	High Voltage Difference Alarm		43			NA		1			21			E			NA			NA			NA			[ID30=No]/[ID29=Yes]		NA				NA			113			NA			NA
114	Single Over Voltage Protect		44			NA		1			22			E			NA			NA			NA			[ID30=No]/[ID29=Yes]		W/L				NA			114			NA			NA
115	Single Under Voltage Protect		45			NA		1			23			E			NA			NA			NA			[ID30=No]/[ID29=Yes]		W/L				NA			115			NA			NA
116	Whole Over Voltage Protect		46			NA		1			24			E			NA			NA			NA			[ID30=No]/[ID29=Yes]		W/L				NA			116			NA			NA
117	Whole Under Voltage Protect		47			NA		1			25			E			NA			NA			NA			[ID30=No]/[ID29=Yes]		W/L				NA			117			NA			NA
118	Short Circuit Protect			48			NA		1			26			E			NA			NA			NA			[ID30=No]/[ID29=Yes]		W/L				NA			118			NA			NA
119	Over Current Protect			49			NA		1			27			E			NA			NA			NA			[ID30=No]/[ID29=Yes]		W/L				NA			119			NA			NA
120	Charge High Temperature Protect		50			NA		1			28			E			NA			NA			NA			[ID30=No]/[ID29=Yes]		W/L				NA			120			NA			NA
121	Charge Low Temperature Protect		51			NA		1			29			E			NA			NA			NA			[ID30=No]/[ID29=Yes]		W/L				NA			121			NA			NA
122	Discharge High Temperature Protect	52			NA		1			30			E			NA			NA			NA			[ID30=No]/[ID29=Yes]		W/L				NA			122			NA			NA
123	Discharge Low Temperature Protect	53			NA		1			31			E			NA			NA			NA			[ID30=No]/[ID29=Yes]		W/L				NA			123			NA			NA
124	Front End Sample Communication Fault	54			NA		1			32			E			NA			NA			NA			[ID30=No]/[ID29=Yes]		NA				NA			124			NA			NA
125	Temperature Sensor Disconnect Fault	55			NA		1			33			E			NA			NA			NA			[ID30=No]/[ID29=Yes]		NA				NA			125			NA			NA
126	Charging				56			NA		1			34			E			NA			NA			NA			[ID30=No]/[ID29=Yes]		W/L				NA			126			NA			NA
127	Discharging				57			NA		1			35			E			NA			NA			NA			[ID30=No]/[ID29=Yes]		W/L				NA			127			NA			NA
128	Charging MOS Breakover			58			NA		1			36			E			NA			NA			NA			[ID30=No]/[ID29=Yes]		W/L				NA			128			NA			NA
129	Discharging MOS Breakover		59			NA		1			37			E			NA			NA			NA			[ID30=No]/[ID29=Yes]		W/L				NA			129			NA			NA
130	Communication Address			60			NA		1			38			U			NA			NA			NA			NA				W/L				NA			130			NA			NA
131	Current Limit Activation		61			NA		1			39			E			NA			NA			NA			[ID30=No]/[ID29=Yes]		W/L				NA			131			NA			NA

#2.2 Define the Control Signals
[CTRL_SIGNAL_NUM]
0

[CTRL_SIGNAL_INFO]
#Sig ID		Sig Name		Sig Name Resource ID	Sig Unit	Index of Sampler List		Sampler Channel ID	Sig Value Type		Value Range		Value Display Attribute		Value Control Attribute		Controlable Expression		Authority Level		Value Display ID	Value Display Format	Control Channel ID	Control Step	Control Param	Control Expression	On Control Action	Disp Exp


#2.3 Define the Setting Signals  
[SETTING_SIGNAL_NUM]
1

[SETTING_SIGNAL_INFO]
#Sig ID		Sig Name				Sig Name Resource ID	Sig Unit	Index of Sampler List		Sampler Channel ID	Sig Value Type		Default Value		Value Range			Value Display Attribute		Value Setting Attribute		Settable Expression	Authority Level		Value Display ID	Value Display Format	Control Channel ID	Setting Step	Control Expression		Persistence Falg	On Control Action	Disp Exp
10		Rated Capacity				2			Ah		-1				-3			F			200			50/50000			NA				NA				NA			E			2			.0			-3			10		NA				1			NA			NA


#2.4 Define the Alarm Singals
[ALARM_NUM]
6

[ALARM_INFO]
#alarm level: OA MA CA
#Alarm ID	Alarm Name				Alarm Name Resource ID		Alarm Level	Alarm Expression	Alarm Delay		Suppressing Expression	Relay ID
1		Communication Fail			3				CA		[0,0,99] == 1		NA			NA			NA
2		Single Over Voltage Alarm		31				MA		[0,0,101] == 1		NA			[0,3,1]			NA
3		Single Under Voltage Alarm		32				MA		[0,0,102] == 1		NA			[0,3,1]			NA
4		Whole Over Voltage Alarm		33				CA		[0,0,103] == 1		NA			[0,3,1]			NA
5		Whole Under Voltage Alarm		34				CA		[0,0,104] == 1		NA			[0,3,1]			NA
6		Charge Over Current Alarm		35				MA		[0,0,105] == 1		NA			[0,3,1]			NA
7		Discharge Over Current Alarm		36				MA		[0,0,106] == 1		NA			[0,3,1]			NA
8		High Battery Temperature Alarm		37				MA		[0,0,107] == 1		NA			[0,3,1]			NA
9		Low Battery Temperature Alarm		38				MA		[0,0,108] == 1		NA			[0,3,1]			NA
10		High Ambient Temperature Alarm		39				OA		[0,0,109] == 1		NA			[0,3,1]			NA
11		Low Ambient Temperature Alarm		40				OA		[0,0,110] == 1		NA			[0,3,1]			NA
12		High PCB Temperature Alarm		41				OA		[0,0,111] == 1		NA			[0,3,1]			NA
13		Low Battery Capacity Alarm		42				MA		[0,0,112] == 1		NA			[0,3,1]			NA
14		High Voltage Difference Alarm		43				CA		[0,0,113] == 1		NA			[0,3,1]			NA
15		Front End Sample Communication Fault	54				CA		[0,0,124] == 1		NA			[0,3,1]			NA
16		Temperature Sensor Disconnect Fault	55				MA		[0,0,125] == 1		NA			[0,3,1]			NA
17		Single Over Voltage Protect		44				MA		[0,0,114] == 1		NA			[0,3,1]			NA
18		Single Under Voltage Protect		45				MA		[0,0,115] == 1		NA			[0,3,1]			NA
19		Whole Over Voltage Protect		46				MA		[0,0,116] == 1		NA			[0,3,1]			NA
20		Whole Under Voltage Protect		47				MA		[0,0,117] == 1		NA			[0,3,1]			NA
21		Short Circuit Protect			48				MA		[0,0,118] == 1		NA			[0,3,1]			NA
22		Over Current Protect			49				MA		[0,0,119] == 1		NA			[0,3,1]			NA
23		Charge High Temperature Protect		50				MA		[0,0,120] == 1		NA			[0,3,1]			NA
24		Charge Low Temperature Protect		51				MA		[0,0,121] == 1		NA			[0,3,1]			NA
25		Discharge High Temperature Protect	52				MA		[0,0,122] == 1		NA			[0,3,1]			NA
26		Discharge Low Temperature Protect	53				MA		[0,0,123] == 1		NA			[0,3,1]			NA




